package com.ruoyi.sapAccount.mapper;

import java.util.List;
import com.ruoyi.sapAccount.domain.SapAccount;

/**
 * 业务账户Mapper接口
 * 
 * @author ruoyi
 * @date 2024-03-11
 */
public interface SapAccountMapper 
{
    /**
     * 查询业务账户
     * 
     * @param id 业务账户主键
     * @return 业务账户
     */
    public SapAccount selectSapAccountById(Long id);

    /**
     * 查询业务账户列表
     * 
     * @param sapAccount 业务账户
     * @return 业务账户集合
     */
    public List<SapAccount> selectSapAccountList(SapAccount sapAccount);

    /**
     * 新增业务账户
     * 
     * @param sapAccount 业务账户
     * @return 结果
     */
    public int insertSapAccount(SapAccount sapAccount);

    /**
     * 修改业务账户
     * 
     * @param sapAccount 业务账户
     * @return 结果
     */
    public int updateSapAccount(SapAccount sapAccount);

    /**
     * 删除业务账户
     * 
     * @param id 业务账户主键
     * @return 结果
     */
    public int deleteSapAccountById(Long id);

    /**
     * 批量删除业务账户
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSapAccountByIds(Long[] ids);
}
